import com.alibaba.fastjson.JSON;
import com.gic.haoban.manage.api.dto.hm.HmPageDTO;
import com.gic.haoban.manage.service.entity.hm.TabHaobanHmPage;
import org.springframework.beans.BeanUtils;

/**
 * @Author MUSI
 * @Date 2022/7/8 3:39 PM
 * @Description
 * @Version
 **/
public class TestBeanCopy {

    public static void main(String[] args) {
        HmPageDTO pageTemplateDTO = new HmPageDTO();
        pageTemplateDTO.setPageBackgroundImg("dadadadasd");
        TabHaobanHmPage temp = new TabHaobanHmPage();
        BeanUtils.copyProperties(pageTemplateDTO, temp);
        System.out.println(JSON.toJSONString(temp));
    }
}
